Prepare multi-Playbook Release (not active)
POST
/v1/ai/agents/{agentID}/playbook-releasesAuthorization
sessionsessionrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonenvironmentstringrequireditemsReleaseItemInput[] | nullrequiredShow propertiesHide properties
Array of
ReleaseItemInputEnabledbooleanrequiredFallbackKindstringrequiredPlaybookIDstringrequiredPlaybookVersionIDstringrequiredPriorityinteger<int64>requiredRolloutPercentinteger<int64>requirednotesstringResponses
200OK
activated_atstringagent_idstringrequiredcreated_atstringrequiredcreated_bystringenvironmentstringrequiredidstringrequireditemsReleaseItem[] | nullShow propertiesHide properties
Array of
ReleaseItemenabledbooleanrequiredfallback_kindstringrequiredidstringrequiredplaybook_idstringrequiredplaybook_version_idstringrequiredpriorityinteger<int64>requiredrelease_idstringrequiredrollout_percentinteger<int64>requirednotesstringorganization_idstringrequiredprevious_release_idstringstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring409Conflict
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/agents/string/playbook-releases" \
-H "Content-Type: application/json" \
-d '{
"environment": "string",
"items": [
{
"Enabled": true,
"FallbackKind": "string",
"PlaybookID": "string",
"PlaybookVersionID": "string",
"Priority": 0,
"RolloutPercent": 0
}
],
"notes": "string"
}'const response = await fetch("/v1/ai/agents/string/playbook-releases", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"environment": "string",
"items": [
{
"Enabled": true,
"FallbackKind": "string",
"PlaybookID": "string",
"PlaybookVersionID": "string",
"Priority": 0,
"RolloutPercent": 0
}
],
"notes": "string"
})
});import requests
response = requests.post(
"/v1/ai/agents/string/playbook-releases",
headers={
"Content-Type": "application/json"
},
json={
"environment": "string",
"items": [
{
"Enabled": True,
"FallbackKind": "string",
"PlaybookID": "string",
"PlaybookVersionID": "string",
"Priority": 0,
"RolloutPercent": 0
}
],
"notes": "string"
},
)Response
{
"activated_at": "string",
"agent_id": "string",
"created_at": "string",
"created_by": "string",
"environment": "string",
"id": "string",
"items": [
{
"enabled": true,
"fallback_kind": "string",
"id": "string",
"playbook_id": "string",
"playbook_version_id": "string",
"priority": 0,
"release_id": "string",
"rollout_percent": 0
}
],
"notes": "string",
"organization_id": "string",
"previous_release_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}